{
  TCanvas *canvas = new TCanvas();
//void Problem(const char *name)

  ifstream data1("32P_Be.dat");
  ifstream data2("33P_Be.dat");
  Int_t n1,n2;
  data1 >> n1;
  Double_t *X1 = new Double_t[n1];
  Double_t *Y1 = new Double_t[n1];
  Double_t *Xerr1 = new Double_t[n1];
  Double_t *Yerr1 = new Double_t[n1];
  
  for(Int_t i=0; i<n1; i++)    
    data1 >> X1[i] >> Y1[i] >> Xerr1[i] >> Yerr1[i];

  data2 >> n2;
  Double_t *X2 = new Double_t[n2];
  Double_t *Y2 = new Double_t[n2];
  Double_t *Xerr2 = new Double_t[n2];
  Double_t *Yerr2 = new Double_t[n2];
  
  
  for(i=0; i<n2; i++)    
    data2 >> X2[i] >> Y2[i] >> Xerr2[i] >> Yerr2[i];
  
  data1.close();
  data2.close();

  canvas->Clear();
  canvas->Divide(2,2);
  TGraphErrors *graph1 = new TGraphErrors(n1, X1, Y1, Xerr1, Yerr1);
  TGraphErrors *graph2 = new TGraphErrors(n2, X2, Y2, Xerr2, Yerr2);
  TMultiGraph *mg1 = new TMultiGraph();
  TMultiGraph *mg2 = new TMultiGraph();

  graph1->SetMarkerColor(2);
  graph1->SetMarkerSize(1.2);
  graph1->SetMarkerStyle(21);
  mg1->Add(graph1, "p");
  mg1->SetTitle("Multigraph 1");

  graph2->SetMarkerColor(2);
  graph2->SetMarkerSize(1.2);
  graph2->SetMarkerStyle(21);
  mg2->Add(graph2, "p");
  mg2->SetTitle("Multigraph 2");

  graph1->SetTitle("Graph 1");
  graph2->SetTitle("Graph 2");

  Int_t div = 1005;  // I am setting number of divisions here

  canvas->cd(1);
  gPad->SetLogy(1);
  mg1->Draw("ap");
  mg1->GetXaxis()->SetNdivisions(div);
  mg1->Draw("a");
  canvas->cd(2);
  gPad->SetLogy(1);
  mg2->Draw("ap");
  mg2->GetXaxis()->SetNdivisions(div);
  mg2->Draw("a");
  canvas->cd(3);
  gPad->SetLogy(1);
  graph1->GetXaxis()->SetNdivisions(div);
  graph1->Draw("ap");
  canvas->cd(4);
  gPad->SetLogy(1);
  graph2->GetXaxis()->SetNdivisions(div);
  graph2->Draw("ap");
  canvas->Update();
}
